Sync Nexa-managed pipelines
POST
/api/v1/pipelines/sync
const url = 'https://example.com/api/v1/pipelines/sync?include_registry_check=true';const options = {method: 'POST'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url 'https://example.com/api/v1/pipelines/sync?include_registry_check=true'Sync pipeline inventory based on Nexa tags (soft delete on tag removal).
Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”include_registry_check
Include Registry Check
Compare tags vs deployment registry and emit discrepancy events.
boolean
Compare tags vs deployment registry and emit discrepancy events.
Header Parameters
Section titled “Header Parameters”Responses
Section titled “Responses”Synchronizes tagged pipelines and emits registry mismatch events
Media typeapplication/json
Response Sync Pipelines Managed Api V1 Pipelines Sync Post
object
key
additional properties
any
Examplegenerated
{}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}